picard.sam

## Class BamIndexStats

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.sam.BamIndexStats

-     public class BamIndexStats
      extends CommandLineProgram

  Command line program to print statistics from BAM index (.bai) file Statistics include count of aligned and unaligned reads for each reference sequence and a count of all records with no start coordinate. Similar to the 'samtools idxstats' command.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `INPUT`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BamIndexStats()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Main method for the program.
    `static void` | `main(String[] argv)` Stock main method for a command line program.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(shortName="I",
                  doc="A BAM file to process.")
          public File INPUT

  - ### Constructor Detail

    - #### BamIndexStats

          public BamIndexStats()

  - ### Method Detail

    - #### main

          public static void main(String[] argv)

      Stock main method for a command line program.

    - #### doWork

          protected int doWork()

      Main method for the program. Checks that input file is present and readable, then iterates through the index printing meta data to stdout.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.